#!/usr/bin/env python
# Ubuntu Continuous Integration Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest
import deployers


class TestTestRunner(deployers.DeployerTest):
    """Integration tests for test runner service run on a juju deployment"""

    def test_worker_running(self):
        '''Ensure the rabbit worker is deployed and running.'''
        # TODO ev 2014-06-16 We should really write status APIs that
        # introspect with these sorts of tests.
        self.assert_job_running('ci-airline-tr-rabbit-worker')


if __name__ == "__main__":
    unittest.main()
